
QGIS Application - Bug report #20855

Dublicating a layer with pushing the ctrl-key while dragging, results in a layer that can't be renamed 

individually

2018-12-20 11:59 AM - Janne Jakob Fleischer

Status: Open

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28674

Description

When dublicating a layer with dragging and pushing the ctrl-key it got dublicated, though when I rename it, the source layer and the

copied layer will have the new changed name. I noticed this in 2.18 and also until (my) current QGIS 3.4.1.

I think this is only relevant on Windows, while I used this function many times on mac without the doubled renaming (Sadly no Linux here

at my ne workplace, so I can't test this).

History

#1 - 2018-12-20 12:27 PM - Janne Jakob Fleischer

Oh, also all the properties will be changed for both layers when changing the copy or the origin... Though in the list of the layers the change of symbology is

not visible for both layers.

#2 - 2019-01-14 11:38 AM - Paolo Cavallini

- Category changed from Unknown to Map Legend
